VistaIOReportUsage(3)

NAME
VistaIOReportUsage, VistaIOReportValidOptions - report valid command line arguments

SYNOPSIS
#include <vistaio.h>

void VistaIOReportUsage (program, noptions, options, other_args)
    VistaIOStringConst program, other_args;
    int noptions;
    VistaIOOptionDescRec options[noptions];

void VistaIOReportValidOptions (noptions, options)
    int noptions;
    VistaIOOptionDescRec options[noptions];

ARGUMENTS

program
    Specifies the program's name. Usually argv[0] is passed.

noptions
    Specifies the number of entries in the table of option descriptors.

options
    Specifies the location of the table of option descriptors.

other_args
    May specify a string describing any options the program accepts other than those described in the options table, or it may be NULL

DESCRIPTION
VistaIOReportUsage prints, to the standard error stream, information about how to use a program. It first prints a line of the form:

    Usage: program <options> other_args, where <options> includes:

The program argument supplies the program component of this line, and the other_args argument supplies the other_args component. If the program accepts no options other than those described in the options table, other_args should be NULL .

VistaIOReportUsage then calls VistaIOReportValidOptions to print a summary of the options described by noptions and options.

VistaIOReportValidOptions prints a description of each option in a table of option descriptors. The description is intended to advise a program user. It indicates what keyword signals the option's presence in the command line, whether it is optional, how many values must follow it, what type those values should have, what keywords may be used as values for the option, and what default value(s) the option has. The description will also include any ``blurb'' string of help information that is found in the option's table entry. The information is printed to the standard error stream.

SEE ALSO
VistaIOParseCommand(3), VistaIOReportBadArgs(3), VistaIOoption(3),

AUTHOR
Art Pope <pope@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>